import com.wb.excel.api.annotation.Enum;
import com.wb.excel.api.annotation.EnumValue;
import com.wb.excel.api.enumeration.YesNo;


public class User {

    private String name;
    private String password;
    private String qq;

    @Enum(target = YesNo.class)
    private YesNo sex;

    public User() {
    }

    public User(String name, String password, String qq) {
        this.name = name;
        this.password = password;
        this.qq = qq;
    }

    public YesNo getSex() {
        return sex;
    }

    public void setSex(YesNo sex) {
        this.sex = sex;
    }

    public String getQq() {
        return qq;
    }

    public void setQq(String qq) {
        this.qq = qq;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }
}
